curl -X GET \
/invoice-position-items/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/invoice-position-items/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/invoice-position-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/invoice-position-items/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": {},
"position": 123,
"quantity": 1,
"unit": {
"id": {},
"name": "Stück"
},
"unitPrice": {},
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"discountAmount": {},
"discountPercentage": 10,
"name": "My subscription product",
"description": "* my subscription product",
"taxGroup": {
"internalDescription": "19%",
"reverseChargeType": "REVERSE_CHARGE",
"type": "standard",
"id": "00000000-0000-0000-0000-000000000000"
},
"tax": {
"code": "19",
"rate": 19,
"id": "00000000-0000-0000-0000-000000000000",
"description": "19%"
},
"type": "product",
"parent": "<unknown>",
"group": {
"id": "ad8a3b9e-5b0a-4e1a-9c1a-0b9b2b8b0b0b",
"ranking": 1,
"name": "Subscription #12345"
},
"createdAt": "2020-01-01T00:00:00+00:00",
"product": {
"type": "product",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "Basic",
"description": "For small teams.",
"invoiceVisibility": "always",
"customFields": {
"field1": "value1",
"field2": "value2"
}
},
"subscriptionItem": {
"id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
"name": "Fitness M",
"description": "Everything included",
"furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
"status": "active",
"subscriptionId": "<string>"
},
"serviceDateFrom": "2020-01-01T00:00:00+00:00",
"serviceDateTo": "2020-01-01T00:00:00+00:00",
"isCreditable": true,
"isFullyCredited": true,
"creditableQuantity": 1
}Get an invoice position item
Get an invoice position item.
Required permissions:invoice:readcurl -X GET \
/invoice-position-items/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/invoice-position-items/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/invoice-position-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/invoice-position-items/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": {},
"position": 123,
"quantity": 1,
"unit": {
"id": {},
"name": "Stück"
},
"unitPrice": {},
"netAmount": {},
"grossAmount": {},
"taxAmount": {},
"discountAmount": {},
"discountPercentage": 10,
"name": "My subscription product",
"description": "* my subscription product",
"taxGroup": {
"internalDescription": "19%",
"reverseChargeType": "REVERSE_CHARGE",
"type": "standard",
"id": "00000000-0000-0000-0000-000000000000"
},
"tax": {
"code": "19",
"rate": 19,
"id": "00000000-0000-0000-0000-000000000000",
"description": "19%"
},
"type": "product",
"parent": "<unknown>",
"group": {
"id": "ad8a3b9e-5b0a-4e1a-9c1a-0b9b2b8b0b0b",
"ranking": 1,
"name": "Subscription #12345"
},
"createdAt": "2020-01-01T00:00:00+00:00",
"product": {
"type": "product",
"id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
"name": "Basic",
"description": "For small teams.",
"invoiceVisibility": "always",
"customFields": {
"field1": "value1",
"field2": "value2"
}
},
"subscriptionItem": {
"id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
"name": "Fitness M",
"description": "Everything included",
"furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
"status": "active",
"subscriptionId": "<string>"
},
"serviceDateFrom": "2020-01-01T00:00:00+00:00",
"serviceDateTo": "2020-01-01T00:00:00+00:00",
"isCreditable": true,
"isFullyCredited": true,
"creditableQuantity": 1
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
InvoicePositionItem identifier
Antwort
InvoicePositionItem resource
The position of the invoice position item in the invoice. If 0, the item will be added at the end of the invoice.
The quantity of the invoice position item.
1
The unit of the invoice position item.
Show child attributes
Show child attributes
The unit price of the invoice position item.
The net amount of the invoice position item, before discount.
The gross amount of the invoice position item, after discount.
The tax amount of the invoice position item, after discount.
The discount amount of the invoice position item.
The discount percentage of the invoice position item. You can either define an amount or a percentage.
10
The description of the invoice position item.
"My subscription product"
The description of the invoice position item.
"* my subscription product"
The tax group of the invoice position item. Based on the customer and tax group, the correct tax rate will be calculated.
Show child attributes
Show child attributes
The tax of the invoice position item, calculated based on the tax group.
Show child attributes
Show child attributes
The type of the invoice position item.
product, discount, setup, dunning_fee, invoice, null "product"
The parent invoice position item. Positions can be defined in a tree, with a maximum depth of two.
The invoice position item group. Positions can be grouped together with a headline, which is shown on the invoice.
Show child attributes
Show child attributes
The creation date of the invoice position item.
"2020-01-01T00:00:00+00:00"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The service date from of the invoice position item.
"2020-01-01T00:00:00+00:00"
The service date to of the invoice position item.
"2020-01-01T00:00:00+00:00"
If the position can be credited.
true
If the whole position is credited.
true
The quantity that can be credited.
1
War diese Seite hilfreich?